# CeresDB community roles

- [Summary](#summary)
- [Contributor](#contributor)
- [Committer](#committer)
- [PMC](#pmc)

## Summary

This document describes role division of the CeresDB community. Like other communities, each specific role has its own responsibilities and requirements. On the other hand, role in CeresDB community will have corresponding permissions and authorities.

Our community consists of the following three roles according to the Apache specification

- Contributor
- Committer
- PMC

The requirements, responsibilities, and authorities for each role are described below.

## Contributor

**Requirements**

Submit a PR and get merged in any official CeresDB project.

**Responsibilities**

Respond positively to PRs or issues assigned to you.

**Authority**

Being a member of CeresDB community.

## Committer

**Requirements**

New Committers are recommended by existing PMCs and approved by more than 2/3 votes. A committer must meet one or more of the following conditions.
- Have been a member of the community for more than three months
- Submitted more than 10 PRs approved by PMC
- Completed major features
- Fixed serious bugs

**Responsibilities**

- Support community consultation
- Respond positively to PRs or issues assigned to you
- Vote on major community decisions
- Review PRs from the community

**Authority**

- Join CeresDB GitHub organization
- Review Pull Requests
- Approve Pull Requests

## PMC

**Requirements**

- More than 2/3 of the existing community PMC voted and approved
- Focus on project development and participate in community discussions for at least one year

**Responsibilities**

- Actively participate in community discussions and guide major community decisions
- Ensuring that the community activities of CeresDB open source projects work well

**Authority**

- Review Pull Request
- Approve Pull Requests
- Merge Pull Requests
