# Summary

# Introduction

- [What is CeresDB](about.md)
- [Quick Start](quick_start.md)

# User Guide

- [Data Model](model/README.md)
    - [Data Types](model/data_types.md)
    - [Special Columns](model/special_columns.md)
- [SQL Syntax](sql/README.md)
    - [Identifier](sql/identifier.md)
    - [Data Definition Statements](sql/ddl/README.md)
        - [CREATE TABLE](sql/ddl/create_table.md)
        - [ALTER TABLE](sql/ddl/alter_table.md)
    - [Data Manipulation Statements](sql/dml/README.md)
        - [INSERT](sql/dml/insert.md)
        - [SELECT](sql/dml/select.md)
    - [Utility Statements](sql/utility.md)
- [Analytic Engine](analytic_engine/README.md)
    - [Options](analytic_engine/options.md)
- [Deployment](deploy/README.md)
    - [Supported Platform](deploy/platform.md)
    - [Static Routing](deploy/static_routing.md)
    - [Dynamic Routing](deploy/dynamic_routing.md)
- [Develop Kits](sdk.md)
- [Protocol](protocol.md)
- [Operation](operation/README.md)
    - [Table](operation/table.md)
    - [System Table](operation/system_table.md)
    - [Block List](operation/block_list.md)

# Dev Guide
- [Supported Platform](dev/platform.md)
- [Compile and Running](dev/compile_run.md)
- [Conventional Commit](dev/conventional_commit.md)
- [Style guide](dev/style_guide.md)
- [Roadmap](dev/roadmap.md)

# Technical and Design
- [Architecture](architecture.md)

-----

- [Trouble Shooting](trouble_shooting.md)
